<?
$pack_types=array(1=>'single - regular',2=>'school - regular',3=>'single - multi sale',4=>'school - multi sale',5=>'single - tmp sale',6=>'school - tmp sale',7=>'single - regi sale',8=>'school - regi sale');





function pDateCheck($fDate){
$f_TS=strtotime($fDate);
$cur_TS=strtotime(date('d-m-Y'));
$res_TS=$f_TS-$cur_TS;
$secInDay=86400;
$resInDays=$res_TS/$secInDay;
	switch ($resInDays) {    
	case 0:		$inDays= "היום!";	break;
	case 1:		$inDays= "מחר";	break;
	case 2:		$inDays= "בעוד יומיים";	break;
	case 7:		$inDays= "בעוד שבוע";	break;				
	case 14:	$inDays= "בעוד שבועיים";	break;				
	case 21:	$inDays= "בעוד שלושה שבועות";	break;					
	default:	$inDays= "בעוד ".$resInDays." ימים";
	}
return array($f_TS,$cur_TS,$res_TS,$resInDays,$inDays);	
}

function checkPack($tmpActiveID,$db,$newActive){
//get all packages for user 
$pack=$db->select('*','t_pack','WHERE teach_id='.$tmpActiveID.' AND t_pack_stat=1',' ORDER BY fDate DESC');
$fDate='';
$future=0;
$futureNote='';
$curPack=0;
$curNote='';
	if($pack!=false){
		foreach($pack as $i=>$v){
			if($i==0){$fDate=$pack[$i]['fDate'];}
		$packVali=pDateCheck($pack[$i]['fDate']);
		$packStart=pDateCheck($pack[$i]['sDate']);
			if($packVali[3]<0){
			$db->update('t_pack','t_pack_stat=0',' WHERE t_pack_id='.$pack[$i]['t_pack_id'].'');
			}
			elseif($packVali[3]>0 && $packStart[3]>0){
			$future=$pack[$i];
			$futureNote='חידשת את המנוי והוא יחל '.$packStart[4];
			}
			elseif($packVali[3]>=0 && $packStart[3]<=0){
			$curPack=$pack[$i];
				if($packVali[3]<25){
					if($futureNote==''){
						if($packVali[3]<0){	$curNote='המנוי פג תוקף';}
						else{$curNote='המנוי הנוכחי מסתיים '.$packVali[4].', טרם חידשת את החבילה';}
					}
					else{$curNote=$futureNote;}
				}
			}
		}
	}
	if(	$future==0 && $curPack==0){

	if($newActive!=0){$db->update('teach','t_active=9',' WHERE t_id='.$tmpActiveID.'');}
	$curNote='המנוי שלך הסתיים';
	}
return array('future'=>$future,'cur'=>$curPack,'note'=>$curNote,'fDate'=>$fDate);
}
?>